# -*- encoding: utf-8 -*-
require File.expand_path('../lib/roundhouse/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ["Ho-Sheng Hsiao", "Mike Perham"]
  gem.email         = ["hosh@shopapps.co", "mperham@gmail.com"]
  gem.summary       = "Round-robin load-balanced background processing for Ruby"
  gem.description   = "Round-robin load-balanced background processing for Ruby."
  gem.homepage      = "http://roundhouse.shopapps.io"
  gem.license       = "LGPL-3.0"

  gem.executables   = ['roundhouse', 'roundhousectl']
  gem.files         = `git ls-files | grep -Ev '^(myapp|examples)'`.split("\n")
  gem.test_files    = `git ls-files -- test/*`.split("\n")
  gem.name          = "roundhouse-x"
  gem.require_paths = ["lib"]
  gem.version       = Roundhouse::VERSION
  gem.add_dependency                  'redis', '~> 3.2', '>= 3.2.1'
  gem.add_dependency                  'redis-namespace', '~> 1.5', '>= 1.5.2'
  gem.add_dependency                  'connection_pool', '~> 2.2', '>= 2.2.0'
  gem.add_dependency                  'celluloid', '~> 0.17.2'
  gem.add_dependency                  'json', '~> 1.0'
  gem.add_dependency                  'wolverine', '~> 0.3.3'
  gem.add_development_dependency      'sinatra', '~> 1.4', '>= 1.4.6'
  gem.add_development_dependency      'minitest', '~> 5.7', '>= 5.7.0'
  gem.add_development_dependency      'rake', '~> 10.0'
  gem.add_development_dependency      'rails', '~> 4', '>= 3.2.0'
end
